[data-component-id="kackaamin:accordion"] {
  /*&:open summary {*/
  /*  border-bottom: 1px solid var(--bg-secondary);*/
  /*}*/

  & summary {
    display: flex;
    justify-content: space-between;
    padding: 24px 0;
    cursor: pointer;
  }

  &:open .accordion__details {
    padding-bottom: 24px;
  }

  & .accordion__icon svg {
    color: var(--text-secondary);
  }
  
  &:not(:open) .accordion__icon svg {
    rotate: -90deg;
  }

  &:open .accordion__icon svg {
    rotate: 0;
  }
}
